## START: Set by rpmautospec
## (rpmautospec version 0.6.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate tokei
%global crates_source https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

Name:           rust-tokei
Version:        12.1.2
Release:        %autorelease
Summary:        Count your code, quickly

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/tokei
Source0:        %{crates_source}
Source1:        tokei-12.1.2-vendor.tar.xz
Source2:        LICENSE.dependencies
# Manually created patch for downstream crate metadata changes
# * bump git2 dependency from 0.13 to 0.18
Patch1:         tokei-fix-metadata.diff

BuildRequires:  rust-toolset

%global _description %{expand:
Count your code, quickly.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause
# BSD-3-Clause
# CC0-1.0
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT

# vendored libgit2-sys crate bundles libgit2:
# GPL-2.0-only WITH GCC-exception-2.0 AND MIT AND BSD-3-Clause
Provides:       bundled(libgit2) = 1.7.2

License:        (MIT OR Apache-2.0) AND BSD-2-Clause AND BSD-3-Clause AND CC0-1.0 AND GPL-2.0-only WITH GCC-exception-2.0 AND MIT AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENCE-APACHE
%license LICENCE-MIT
%license LICENSE.dependencies
%{_bindir}/tokei

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep -V 1
cp -pav %{SOURCE2} .

%build
%cargo_build --all-features

%install
%cargo_install --all-features

%if %{with check}
%check
%cargo_test --all-features
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 12.0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 12.0.4-12
- Rebuild with package notes

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> - 12.0.4-11
- Disable doctests. They are a never ending source of obscure rustc problems.

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> - 12.0.4-10
- Work around doctest failures caused by codegen issues with LLVM 12.

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> - 12.0.4-9
- Rebuild with thread_local 1.1.4 for RUSTSEC-2022-0006.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 12.0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 12.0.4-7
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Thu Jul 29 2021 Josh Stone <jistone@redhat.com> - 12.0.4-6
- Revert to 12.0.4 until crate(num-format) is available.
- Bump to dashmap 4.0.1.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 12.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 12.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:33:42 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 12.1.0-2
- Rebuild

* Sun Dec 27 14:12:53 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 12.1.0-1
- Update to 12.1.0

* Fri Sep 11 2020 Josh Stone <jistone@redhat.com> - 12.0.4-5
- Bump to parking_lot 0.11

* Sun Aug 16 15:01:53 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 12.0.4-4
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 12.0.4-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 12.0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 12.0.4-1
- Update to 12.0.4

* Sat Jun 06 2020 Josh Stone <jistone@redhat.com> - 11.2.1-1
- Update to 11.2.1

* Wed May 20 07:37:56 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 11.2.0-1
- Update to 11.2.0

* Wed May 06 2020 Josh Stone <jistone@redhat.com> - 11.1.1-1
- Update to 11.1.1

* Sun Apr 19 11:57:45 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 11.1.0-1
- Update to 11.1.0

* Sat Mar 21 17:14:07 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 11.0.0-1
- Update to 11.0.0

* Thu Mar 19 11:06:08 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 10.1.2-3
- Update git2 to 0.13

* Tue Mar 03 2020 Josh Stone <jistone@redhat.com> - 10.1.2-2
- Bump git2 to 0.12

* Thu Feb 13 2020 Josh Stone <jistone@redhat.com> - 10.1.2-1
- Update to 10.1.2

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 10.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 10.1.1-1
- Update to 10.1.1

* Wed Dec 25 11:00:37 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 10.1.0-2
- Update git2 to 0.11

* Tue Nov 19 09:33:39 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 10.1.0-1
- Update to 10.1.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 10.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 06 11:20:58 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 10.0.1-1
- Update to 10.0.1

* Wed Jun 19 12:33:03 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 10.0.0-1
- Update to 10.0.0

* Fri Jun 07 2019 Josh Stone <jistone@redhat.com> - 9.1.1-2
- Bump git2 to 0.9

* Sat Mar 30 14:59:32 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 9.1.1-1
- Update to 9.1.1

* Thu Mar 21 09:59:47 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 9.1.0-1
- Update to 9.1.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 9.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 14 2019 Josh Stone <jistone@redhat.com> - 9.0.0-1
- Update to 9.0.0

* Sat Nov 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 8.0.1-2
- Adapt to new packaging

* Sat Sep 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 8.0.1-1
- Update to 8.0.1

* Wed Jul 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.3-4
- Bump handlebars to 1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jun 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.3-2
- Update to new macro

* Thu Jun 14 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.3-1
- Update to 7.0.3

* Wed Feb 21 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-6
- Rebuild for passing %%__cargo_common_opts bug

* Tue Feb 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-5
- Bump rayon to 1

* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-4
- Bump ignore to 0.4

* Sat Feb 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-3
- Bump handlebars to 0.31

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 22 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.1-1
- Update to 7.0.1

* Fri Jan 19 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-3
- Rebuild for env_logger 0.5.2

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-2
- Rebuild for env_logger 0.5.1

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-1
- Update to 7.0.0

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-8
- Rebuild for rust-packaging v5

* Tue Jan 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-7
- Bump serde_cbor to 0.8

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-6
- Bump lazy_static to 1

* Tue Nov 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-5
- Rebuild for clap 2.28.0

* Sat Nov 18 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-4
- Rebuild for rust-hex 0.3

* Wed Nov 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-3
- Rebuild for dependency change

* Wed Nov 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-2
- Enable all feauteres

* Tue Nov 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.2-1
- Initial package

## END: Generated by rpmautospec
